CVE-2021-20299

NameCVE-2021-20299
DescriptionNull-dereference READ in Imf_2_5::Header::operator
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2732-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openexr (PTS)stretch2.2.0-11vulnerable
stretch (security)2.2.0-11+deb9u4fixed
buster, buster (security)2.2.1-4.1+deb10u1vulnerable
bullseye2.5.4-2fixed
bookworm, sid2.5.7-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openexrsourcestretch2.2.0-11+deb9u4DLA-2732-1
openexrsource(unstable)2.5.4-1

Notes

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=25740
https://github.com/AcademySoftwareFoundation/openexr/pull/840
https://github.com/AcademySoftwareFoundation/openexr/commit/25e9515b06a6bc293d871622b8cafaee7af84e0f

Search for package or bug name: Reporting problems